# PB-Services:  official Services and Web APIs system for Bleu Pigs community
In order to better scale PigBot as the community grows and eventually offer SaaS (Services as a Service) to the Bleu Pigs community, PigBot has been split into two systems. This is PB-Services, the new backend system for all behind-the-scenes related tasks (database operations, hosting web apis, user add/remove/search, authenticated roblox proxy, etc). By offloading all of these operations onto a separate server, it will improve PB's overall long-term performance and scalability as the community continues to grow. 